Updates the job work instruction list with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
job_work_instruction_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| work_instruction_details_id |
work instruction details id |
globally unique identifier | |
| work_instruction_details_reference_back_office |
Embedded code "work instruction details" when adding/updating |
string | |
| work_instruction_details |
Embedded entity "work instruction details" when adding/updating |
work_instruction_details | |
| user_id |
Filled by the person that completed that item on the checklist |
globally unique identifier | |
| work_instruction_action_type |
Value from work_instruction_action_type.name |
string | |
| work_instruction_id |
work instruction id |
globally unique identifier |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction_reference_back_office |
Embedded code "work instruction" when adding/updating |
string |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction |
Embedded entity "work instruction" when adding/updating |
work_instruction |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| name |
The "on what" |
string |
Required Max length: 4000 |
| status |
Status can be Ok,NotOk,Replaced,NotApplicable |
string |
Max length: 50 |
| date_done |
Datetime filled when status goes to one valable status. |
date | |
| remark |
Additional remark from the technician. |
string |
Max length: 255 |
| advise |
Additional advice from the technician. |
string |
Max length: 255 |
| sequence |
To order it. |
integer | |
| reference_back_office |
The Id/Ref of the back office for this job work instruction. Used by Embedded entity |
string |
Max length: 255 |
| group_name |
Name of the group |
string |
Max length: 4000 |
| group_sequence |
Order of the group |
integer | |
| type |
One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default |
string | |
| instruction_document_count |
Specify how many documents/photos must be added if type is Picture |
integer | |
| db_report_type_id |
When type is Form, you must specify which db_report_type must be filled |
globally unique identifier | |
| db_report_type_name |
When type is Form, you must specify which db_report_type must be filled |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "03779f8b-a443-47a5-9699-46ce0f9935e8",
"jobs_id": "e4a6b2bf-500b-4526-9224-46912b5ae613",
"jobs_reference_back_office": "sample string 3",
"jobs": {
"id": "f8d33b88-d940-4cfe-a2b1-a7d1eaae334e",
"_parent_id": "b57b236c-9c52-427f-8af0-d068a68a9fc0",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "6763fdbe-67e0-4e6e-8f41-c91192432b4a",
"project_reference_back_office": "sample string 5",
"project": {
"id": "f7ec9353-27ec-46d2-ae40-4570eab2c2f0",
"_parent_id": "47dc4713-d211-498e-a580-2adbbc7338ff",
"root_parent_id": "edc68764-0097-4172-831f-9811785389a3",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "1f4b8925-1082-48cf-8a90-c7f685628cbb",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "02b2e096-5079-4947-8734-30d0b920a97a",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "844a15dd-6a41-43ce-9e42-bb3099a53dcf",
"_parent_code": "sample string 6",
"sales_organization_id": "6d5be54a-6f5b-4b59-88e4-c09ec9b8b581",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "f3c2b015-83e4-4070-810c-f0c4f2bc6260",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d7508735-d43e-48b9-adfe-0677b309cfc3",
"db_currency_id": "4f239709-9c5b-49cf-a566-7f6cd79a22d9",
"db_language_id": "de1147b8-9304-4c10-8308-62071a0c10f4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-10T21:28:12.8636887+00:00"
},
"modified_dateutc": "2026-11-10T21:28:12.8636887+00:00"
},
"equipment_model_id": "98f12d43-d77e-4e62-a18a-b22b42b3dc5c",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "4908b5d8-9223-4629-ba43-8f1d51024a18",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "d9e7b9a5-fecd-4444-9a6f-c6c976e848bb",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "de3af5c7-3785-4b43-99b5-bde05b9ce48a",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "76d6ad8b-0036-44af-ae1e-3d27179e06ac",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "f3c2b015-83e4-4070-810c-f0c4f2bc6260",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d7508735-d43e-48b9-adfe-0677b309cfc3",
"db_currency_id": "4f239709-9c5b-49cf-a566-7f6cd79a22d9",
"db_language_id": "de1147b8-9304-4c10-8308-62071a0c10f4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-10T21:28:12.8636887+00:00"
},
"modified_dateutc": "2026-11-10T21:28:12.8636887+00:00"
},
"equipment_family_id": "ef18c165-2d6a-4fa3-a123-ac0d8224f77a",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "02b2e096-5079-4947-8734-30d0b920a97a",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "844a15dd-6a41-43ce-9e42-bb3099a53dcf",
"_parent_code": "sample string 6",
"sales_organization_id": "6d5be54a-6f5b-4b59-88e4-c09ec9b8b581",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "f3c2b015-83e4-4070-810c-f0c4f2bc6260",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d7508735-d43e-48b9-adfe-0677b309cfc3",
"db_currency_id": "4f239709-9c5b-49cf-a566-7f6cd79a22d9",
"db_language_id": "de1147b8-9304-4c10-8308-62071a0c10f4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-10T21:28:12.8636887+00:00"
},
"modified_dateutc": "2026-11-10T21:28:12.8636887+00:00"
},
"date_in_production_since": "2026-11-10T21:28:12.8636887+00:00",
"date_out_of_production_since": "2026-11-10T21:28:12.8636887+00:00",
"date_end_support": "2026-11-10T21:28:12.8636887+00:00",
"sales_organization_id": "78c48021-0c42-4c68-8ea3-3346a2ad4a49",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "f3c2b015-83e4-4070-810c-f0c4f2bc6260",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d7508735-d43e-48b9-adfe-0677b309cfc3",
"db_currency_id": "4f239709-9c5b-49cf-a566-7f6cd79a22d9",
"db_language_id": "de1147b8-9304-4c10-8308-62071a0c10f4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-10T21:28:12.8636887+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-10T21:28:12.8762719+00:00"
},
"project_status_id": "a98a92d4-07e1-4a6e-883c-98a1486c9b3e",
"project_status_code": "sample string 10",
"project_status": {
"id": "14550beb-c7bf-4dfa-8e00-f78222fd63b4",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "4ea2c7b1-d924-4c5b-a42b-ec40e2d4a5d7",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "f3c2b015-83e4-4070-810c-f0c4f2bc6260",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d7508735-d43e-48b9-adfe-0677b309cfc3",
"db_currency_id": "4f239709-9c5b-49cf-a566-7f6cd79a22d9",
"db_language_id": "de1147b8-9304-4c10-8308-62071a0c10f4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-10T21:28:12.8636887+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-10T21:28:12.8762719+00:00"
},
"company_id": "90c9e056-1436-4af1-a043-020a59ca2aa4",
"company_code": "sample string 12",
"db_address_id": "9b435009-b864-4a56-b51c-97d040d2d72b",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "0ceca994-7b50-4f81-b661-5a4b798fc4bf",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "c6f9b653-cb20-4010-9624-739e25077c00",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-10T21:28:12.8762719+00:00",
"date_create": "2026-11-10T21:28:12.8762719+00:00",
"date_update": "2026-11-10T21:28:12.8762719+00:00",
"updated_by_user_id": "8738b1c0-9395-44d5-945c-a9e6e19d08de",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-10T21:28:12.8762719+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-10T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-10T21:28:12.8762719+00:00",
"date_last_job": "2026-11-10T21:28:12.8762719+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-10T21:28:12.8762719+00:00",
"modified_dateutc": "2026-11-10T21:28:12.8762719+00:00",
"is_mobile_installation": true
},
"job_type_id": "decd6b6e-a5bc-4cc8-ac1c-2dba98fc99e4",
"job_type_code": "sample string 7",
"job_type": {
"id": "ab1f5650-4f2e-4d70-8864-57291d8ddd4d",
"name": "sample string 2",
"sales_organization_id": "e40625e5-a3c9-42e0-95b0-165aa554735c",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-10T21:28:12.8762719+00:00",
"code": "sample string 7"
},
"job_priority_id": "9bf97616-be66-4b99-b078-0f66fdcbc606",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "5c13b740-ec4d-484b-aae8-bb011eb1611a",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "4516b389-29ed-4779-b203-5b31bc1a9d46",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "f3c2b015-83e4-4070-810c-f0c4f2bc6260",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d7508735-d43e-48b9-adfe-0677b309cfc3",
"db_currency_id": "4f239709-9c5b-49cf-a566-7f6cd79a22d9",
"db_language_id": "de1147b8-9304-4c10-8308-62071a0c10f4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-10T21:28:12.8636887+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-10T21:28:12.8762719+00:00"
},
"job_status_id": "8dc654ea-93f1-40ae-a1a5-7f8b4567e612",
"job_status_code": "sample string 11",
"db_address_id": "f31d559e-8a3c-413c-8ebb-ae809fa73549",
"contact_id": "c9a8f30f-4254-41e1-b04e-8a55f9f98670",
"requested_by_company_id": "f36efb43-6f24-4ba6-a0f5-b24c27e4db11",
"requested_by_contact_id": "9fef8288-9317-4db0-acf1-95897b474ff0",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-10T21:28:12.8762719+00:00",
"due_date": "2026-11-10T21:28:12.8762719+00:00",
"date_create": "2026-11-10T21:28:12.8762719+00:00",
"date_update": "2026-11-10T21:28:12.8762719+00:00",
"date_closed": "2026-11-10T21:28:12.8762719+00:00",
"suggested_user_id": "7efe5bf3-af91-4008-ba5d-749f8e491df3",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "dac85252-13a7-43ab-a3bf-0c37bd867198",
"db_language_id": "19f14755-4623-4629-975b-e476f8a63275",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-10T21:28:12.8762719+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "bd30dde1-0117-44be-aba2-28b2b506112c",
"sales_organization": {
"id": "f3c2b015-83e4-4070-810c-f0c4f2bc6260",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d7508735-d43e-48b9-adfe-0677b309cfc3",
"db_currency_id": "4f239709-9c5b-49cf-a566-7f6cd79a22d9",
"db_language_id": "de1147b8-9304-4c10-8308-62071a0c10f4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-10T21:28:12.8636887+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "5f91b4fe-ce82-4f3e-ac60-6f9e3e857a9c",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "1b703a75-d5db-4c93-a7d8-ac42e9ac5ebc",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-10T21:28:12.8762719+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "c0ad3a28-a5ef-4b18-9712-0b4df713eda7"
},
"suggested_date_start": "2026-11-10T21:28:12.8762719+00:00",
"skill_id": "66ff8d23-e9f8-41e1-9103-12ec1c184b73",
"skill_code": "sample string 32",
"skill": {
"id": "93bfdac0-51db-41e2-be10-512dbc0a870c",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "a6e361ef-84f4-433e-bc97-3ce88217cbf6",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "f3c2b015-83e4-4070-810c-f0c4f2bc6260",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d7508735-d43e-48b9-adfe-0677b309cfc3",
"db_currency_id": "4f239709-9c5b-49cf-a566-7f6cd79a22d9",
"db_language_id": "de1147b8-9304-4c10-8308-62071a0c10f4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-10T21:28:12.8636887+00:00"
},
"modified_dateutc": "2026-11-10T21:28:12.8762719+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "e62c9c75-65c2-4949-9ec8-3e6b53e7b48f",
"date_reported_by_company": "2026-11-10T21:28:12.8762719+00:00",
"id2": 36,
"company_id": "d459290b-70ec-4605-9089-4948f0c43e13",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "bac8c1e8-a988-42f6-8a89-23602b817d5e",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-10T21:28:12.8762719+00:00"
},
"work_instruction_details_id": "17eca155-4a2e-45e8-bf5b-66e2d9e31ed6",
"work_instruction_details_reference_back_office": "sample string 5",
"user_id": "e3ddfb04-8ae5-49b2-adc1-19d1ff34d365",
"work_instruction_action_type": "sample string 7",
"work_instruction_id": "f0d05168-32bb-4226-b21e-8f18d097e278",
"work_instruction_reference_back_office": "sample string 9",
"name": "sample string 10",
"status": "sample string 11",
"date_done": "2026-11-10T21:28:12.8762719+00:00",
"remark": "sample string 13",
"advise": "sample string 14",
"sequence": 1,
"reference_back_office": "sample string 15",
"group_name": "sample string 16",
"group_sequence": 1,
"type": "sample string 17",
"instruction_document_count": 1,
"db_report_type_id": "fe2cb8f0-ebac-4d46-817b-2a238c229458",
"db_report_type_name": "sample string 18",
"modified_dateutc": "2026-11-10T21:28:12.8762719+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.